/*
 * MSP2807_Test_ASCII.h
 *
 *  Created on: 2025/02/24
 *      Author: egaono-electronics
 */

#ifndef MSP2807_TEST_ASCII_H_
#define MSP2807_TEST_ASCII_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//--------------------------------------------------------------
// MSP2807試験 : ASCII文字表示 :
//                  Font配列使用 : プログラム埋め込み
//--------------------------------------------------------------
// 引数：
// uint8_t *puint8_JobNum : 処理番号が格納された変数のポインタ


// 戻り値：
//   -1 : 処理中
//    0 : OK終了
//    1 : NG終了
//--------------------------------------------------------------
int16_t MSP2807_Test_ASCII(uint8_t *puint8_JobNum);



//--------------------------------------------------------------
// 数字を3桁の文字列に変換 : ASCII
//--------------------------------------------------------------
// 引数：
// uint16_t uint16_Num : 数字

// uint8_t *puint8_aString :
//          3桁の文字列に変換したデータを格納するバッファのポインタ


// 戻り値：
//    なし
//--------------------------------------------------------------
void Conv_Num_String_3_ASCII(
                uint16_t uint16_Num, uint8_t *puint8_aString);


#endif /* MSP2807_TEST_ASCII_H_ */
